User account creation filtered due to spam.

Bug 7484 - warning with -Wmissing-declarations
Summary: warning with -Wmissing-declarations
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: c++ (show other bugs)
Version: 3.1
: P3 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-08-04 02:46 UTC by ib
Modified: 2003-07-25 17:33 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ib 2002-08-04 02:46:00 UTC
When using options -W and -Wmissing-declarations you get "cc1plus: warning: ignoring command line option" for -Wmissing-declarations, but there is no explanation in the doc, why you can't use -W and -Wmissing-declarations starting from gcc-3.1.

Release:
gcc-3.1
Comment 1 Gabriel Dos Reis 2002-08-04 13:13:06 UTC
From: Gabriel Dos Reis <gdr@integrable-solutions.net>
To: ib@wupperonline.de
Cc: gcc-gnats@gcc.gnu.org
Subject: Re: c++/7484: warning with -Wmissing-declarations
Date: 04 Aug 2002 13:13:06 +0200

 ib@wupperonline.de writes:
 
 [...]
 
 | >Description:
 | When using options -W and -Wmissing-declarations you get "cc1plus: warning: ignoring command line option" for -Wmissing-declarations, but there is no explanation in the doc, why you can't use -W and -Wmissing-declarations starting from gcc-3.1.
 
 I don't know why there is no documentation, but -Wmissing-declarations
 is meaningless in C++: you can't use a name if a declaration for it in
 not in scope.
 
 -- Gaby
Comment 2 Gabriel Dos Reis 2002-10-08 15:32:47 UTC
State-Changed-From-To: open->closed
State-Changed-Why: Fixed.